#include <link.H>
#include <iostream>
#define MMX_Int    MMX_INT
#define ID_Int     ID_INT
#define MMX_String MMX_STRING
#define ID_String  ID_STRING
#define MMX_Void   MMX_VOID
#define ID_Void    ID_VOID

#include <iostream>
#include <synaps/linalg.H>
#include <synaps/inout/texstream.H>
#include <synaps/inout/texstream.H>
namespace lapack 
{
  std::ostream & print(std::ostream & os, const rep2d<double> & x) 
    { 
      MATRIX::print(ctex,x); return os;
    }
}


//Start initialisation
mmx::symbol MMX_Matrix("Matrix"); mmx::mirror ID_Matrix(MMX_Matrix);
mmx::symbol MMX_Vector("Vector"); mmx::mirror ID_Vector(MMX_Vector);
mmx::symbol MMX_VectCplx("VectCplx"); mmx::mirror ID_VectCplx(MMX_VectCplx);

//(: vector (-> (Cross Int String) Vector))
mmx::generic mmx_fct_vector_Int_String__Vector(mmx::generic _g)
{
  int m(mmx::view_as< int >(_g[1]));
  char* s(mmx::view_as< char* >(_g[2]));
  return mmx::mmx_obj< VectDse<double> >(VectDse<double>(m,s));
}

//(: + (-> (Cross Vector Vector) Vector))
mmx::generic mmx_fct_add_Vector_Vector__Vector(mmx::generic _g)
{
